Skip to main content
GET
https://api.tensormesh.ai
/
v1
/
billing
/
gpu-pricing
List GPU Pricing
curl --request GET \
  --url https://api.tensormesh.ai/v1/billing/gpu-pricing \
  --header 'Authorization: Bearer <token>'
{
  "pricing": [
    {
      "gpuType": "GPU_TYPE_UNSPECIFIED",
      "cloudProvider": "CLOUD_PROVIDER_UNSPECIFIED",
      "hourlyRate": {
        "currencyCode": "<string>",
        "units": "<string>",
        "nanos": 123
      },
      "isActive": true
    }
  ]
}
Use this group for pricing lookups and pricing administration. Public and admin operations share one published group today:
  • Public pricing reads use /v1/billing/...
  • Admin pricing changes use /v1/admin/billing/...
For onboarding and customer-facing docs, start with the public list endpoints. Use the admin operations only when you are managing pricing for an environment. Public operations: Admin operations:

Authorizations

Authorization
string
header
required

Bearer authentication using an access token. Format: Bearer <access_token>

Query Parameters

cloudProvider
enum<string>
default:CLOUD_PROVIDER_UNSPECIFIED
Available options:
CLOUD_PROVIDER_UNSPECIFIED,
CLOUD_PROVIDER_ONPREM,
CLOUD_PROVIDER_NEBIUS,
CLOUD_PROVIDER_LAMBDA,
CLOUD_PROVIDER_YOTTA
gpuType
enum<string>
default:GPU_TYPE_UNSPECIFIED
Available options:
GPU_TYPE_UNSPECIFIED,
GPU_TYPE_A100,
GPU_TYPE_H100,
GPU_TYPE_H200,
GPU_TYPE_B200
activeOnly
boolean

Response

A successful response.

pricing
object[]